package com.fjhx.email.service;

import com.fjhx.email.entity.dto.GetMessagePageDto;
import com.fjhx.email.entity.dto.MailboxInfo;
import com.fjhx.email.entity.dto.SetSeenDto;
import com.fjhx.email.entity.vo.MessageDetailVo;
import com.fjhx.email.entity.vo.MessageVo;
import com.fjhx.email.utils.PageWrapper;

import javax.mail.MessagingException;
import java.util.List;

public interface IMailService {

    /**
     * 获取邮箱信息
     */
    List<MailboxInfo> getMailboxInfoListByUserId(List<Long> userIdList, Integer mailType);

    /**
     * 获取用户邮箱列表
     */
    PageWrapper<MessageVo> getMessagePage(GetMessagePageDto dto);

    /**
     * 获取邮件详情
     */
    MessageDetailVo getMessageDetail(GetMessagePageDto dto);

    /**
     * 获取文件夹未读数据
     */
    void setUnreadMessageCount(List<MailboxInfo> mailboxInfoList);

    /**
     * 设置已读
     */
    void setSeen(String host, String user, String password, SetSeenDto dto) throws MessagingException;

}
